GetPackagesByICPS

[POST] .../v1/item/getpackagesbyicps

Returns package codes from the tax authority information system. Use this method when an integration needs package codes for a specific ICPS value from the tax authority information system. It requires icps, calls the ItemPersistent tax-authority lookup and returns ItemOFDPackage records in result. The the request supports filters, but this lookup is driven by icps and does not apply filter criteria. This controller action currently does not perform a REGOS permission check; missing icps and external lookup or persistent errors are returned as HTTP 200 ErrorResult.

Request Parameters

Name Type Required Description
filters Array of Filter Optional Optional filters by fields available for this API method.

Filterable Fields

Field Type Description
icps string ICPS.

Request Example

{
  "filters": [
    {
      "Field": "icps",
      "Operator": "Equal",
      "Value": "string"
    }
  ]
}

Response Parameters

Name Type Description
ok Boolean Indicates whether the request completed successfully.
result Array of ItemOFDPackage Result array.

Response Example

{
  "ok": true,
  "result": [
    {
      "code": "string",
      "nameLat": "string",
      "nameRu": "string",
      "nameUz": "string"
    }
  ]
}